Package org.eclipse.cdt.core.dom.ast

## Interface IASTPointer

All Superinterfaces:
  `IASTAttributeOwner`, `IASTNode`, `IASTPointerOperator`

All Known Subinterfaces:
  `ICASTPointer`, `ICPPASTPointerToMember`, `IGPPASTPointer`, `IGPPASTPointerToMember`

    public interface IASTPointer
    extends IASTPointerOperator

This represents the good ol' * pointer operator.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`ATTRIBUTE, ATTRIBUTE_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTPointerOperator

`EMPTY_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IASTPointer` `copy()` Returns a mutable copy of the tree rooted at this node.
`IASTPointer` `copy​(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.
`boolean` `isConst()` Returns whether the pointer is const qualified.
`boolean` `isRestrict()` Returns whether the pointer is restrict qualified.
`boolean` `isVolatile()` Returns whether the pointer is volatile qualified.
`void` `setConst​(boolean value)` Not allowed on frozen ast.
`void` `setRestrict​(boolean value)` Not allowed on frozen ast.
`void` `setVolatile​(boolean value)` Not allowed on frozen ast.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTAttributeOwner

`addAttribute, addAttributeSpecifier, getAttributes, getAttributeSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Method Detail

#### isConst

    boolean isConst()

Returns whether the pointer is const qualified.

#### isVolatile

    boolean isVolatile()

Returns whether the pointer is volatile qualified.

#### isRestrict

    boolean isRestrict()

Returns whether the pointer is restrict qualified.

Since:
  5.3

#### setConst

    void setConst​(boolean value)

Not allowed on frozen ast.

#### setVolatile

    void setVolatile​(boolean value)

Not allowed on frozen ast.

#### setRestrict

    void setRestrict​(boolean value)

Not allowed on frozen ast.

Since:
  5.3

#### copy

    IASTPointer copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTPointerOperator`
Since:
  5.1

#### copy

    IASTPointer copy​(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `IASTPointerOperator`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3